/*********
    * 
    * CS-Rockz Software Solutions Private Limited. Confidential
    * ____
    * 
    *  Copyright CS-Rockz Software Solutions Private Limited. 2020. All rights reserved
    * 
    * NOTICE:  All information contained herein is, and remains
    * the property of CS-Rockz Software Solutions Private Limited. and its suppliers,
    * if any.  The intellectual and technical concepts contained
    * herein are proprietary to CS-Rockz Software Solutions Private Limited.
    * and its suppliers and may be covered by U.S. and Foreign Patents,
    * patents in process, and are protected by trade secret or copyright law.
    * Dissemination of this information or reproduction of this material
    * is strictly forbidden unless prior written permission is obtained
    * from CS-Rockz Software Solutions Private Limited.
*/
'use strict'
const inquirer = require('inquirer')
const validateName = require('validate-npm-package-name')
const config = require("../data/default_package_params")

module.exports = async () => await inquirer.prompt([
    {
        type: 'input',
        name: 'name',
        message: 'package name: ',
        default: config.name,
        validate: (name) => name && validateName(name).validForNewPackages || "Invalid package name"
    }, {
        type: 'input',
        name: 'version',
        message: 'version: ',
        default: config.version
    }, {
        type: 'input',
        name: 'description',
        message: 'description: ',
        default: config.description
    }, {
        type: 'input',
        name: 'repository',
        message: 'git repository: ',
        default: config.repository.url
    }, {
        type: 'input',
        name: 'keywords',
        message: 'keywords: ',
        default: config.keywords
    }, {
        type: 'input',
        name: 'author',
        message: 'author: ',
        default: config.author
    }, {
        type: 'input',
        name: 'license',
        message: 'license: ',
        default: config.license
    }
])